﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1051483_RadPivotGridDateTimeStep
{
    public class Order
    {
        private double net;
        private TimeSpan time;

        public Order()
        {
        }

        public DateTimeOffset Date { get; set; }
        public string Product { get; set; }
        public int Quantity { get; set; }

        public double Net
        {
            get
            {
                return this.net;
            }
            set
            {
                this.net = value;
            }
        }

        public TimeSpan Time
        {
            get
            {
                return this.time;
            }
            set
            {
                if (this.time != value)
                {
                    this.time= value;
                }
            }
        }

        public string Promotion { get; set; }
        public string Advertisement { get; set; }

        public override string ToString()
        {
            return this.Product + this.Promotion + this.Quantity;
        }
    }
}
