﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Pivot.Core;

namespace _1051483_RadPivotGridDateTimeStep
{
    public class HourQuarterGroupDescription : PropertyGroupDescriptionBase
    {
        protected override object GroupNameFromItem(object item, int level)
        {
            string groupName = base.GroupNameFromItem(item, level).ToString();
            DateTime date = DateTime.Parse(groupName);
            double quarter = Math.Ceiling(date.Minute / 15d);
            HourQuarterGroup group = new HourQuarterGroup((int)quarter, this.Culture);

            return group;
        }

        protected override void CloneOverride(Cloneable source)
        { }

        protected override Cloneable CreateInstanceCore()
        {
            return new HourQuarterGroupDescription();
        }
    }
}
